Foreman - Bug #7841

Datetime fields in the API are returning a full JSON object
10/07/2014 11:59 AM - Eric Helms

Status: Resolved
Priority: High
Assignee:
Category: API
Target version:
Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1873
Description

See screenshot for the issue. This happens on the repository list page, the content view list page and the content view versions

page.
This was seen on a CentOS 7 devel install.

Related issues:
Is duplicate of Katello - Bug #7923: Sync plan start date is displayed as object Duplicate 10/13/2014

History

#1 - 10/13/2014 01:23 PM - Eric Helms
- Project changed from Katello to Foreman

- Subject changed from Content view last publish and last sync of related repositories shows JSON to Datetime fields in the API are returning a full
JSON object

- Category changed from Web Ul to API
- Priority changed from Normal to High
- translation missing: en.field_release deleted (14)

- Difficulty changed from easy to medium

This was previously thought to be an isolated issue, but appears to be widespread. For example, when hitting /api/v2/users you can see the
'last_login_on' field is showing too much information:

{

"total": 1,

"subtotal": 1,

"page": 1,

"per_page": 20,

"search": null,

"sort": {

"by": null,

"order": null

|3

"results": [ {

"id": 3,

"login": "admin",

"firstname": "Admin",
"lastname": "User",

"mail": "root@example.com",
"admin": true,
"auth_source_id": 1,
"auth_source_name": "Internal",
"last_login_on": {

"time": "2014-10-13T14:39:06Z",
"time_zone": {

"name": "UTC",

"utc_offset": null,

"tzinfo": {
"identifier": "Etc/UTC",
"real_timezone": {
"info": {

"identifier": "Etc/UTC",
"offsets": {

"00": {

"utc_offset": 0,
"std_offset": 0,
"abbreviation": "UTC",
"utc_total_offset": 0

}

|3

"transitions": [],
"previous_offset": {
"utc_offset": 0,
"std_offset": 0,
"abbreviation": "UTC",
"utc_total_offset": 0

b

"transitions_index": null

}
}
2

"current_period": null

b

#2 - 10/13/2014 01:23 PM - Walden Raines
- Is duplicate of Bug #7923: Sync plan start date is displayed as object added

#3 - 10/14/2014 04:49 AM - Dominic Cleal

IIRC this was an oj update or something similar.

#4 - 10/15/2014 01:16 PM - Justin Sherrill

locking oj down to 2.10.2 seems to fix it:

gem 'oj', '= 2.10.2'

as it was introduced in 2.10.3. | found this open issue as well: https:/github.com/ohler55/oj/issues/192
#5 - 10/22/2014 08:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1873 added
- Pull request deleted ()

#6 - 10/24/2014 10:41 AM - Dominic Cleal
- Status changed from Ready For Testing to Resolved

0j 2.10.4 is believed to fix the problem. Please run "bundle update oj" if you run into it.
